| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
CmdDrive::uiCmdDriverMgr Class Reference
uiCmdDriver

`#include <uicmddrivermgr.h>`

Inheritance diagram for CmdDrive::uiCmdDriverMgr:
[legend]

## Public Member Functions
| uiCmdDriverMgr (bool fullodmode=false)
| ~uiCmdDriverMgr ()
void | addCmdLineScript (const char *fnm)
void | cleanup ()
void | enableCmdLineParsing (bool yn=true)
void | setDefaultLogDir (const char *dirnm)
void | setDefaultScriptsDir (const char *dirnm)
void | setLogFileName (const char *fnm)
void | showDlgCB (CallBacker *)
void | showScriptRunnerCB (CallBacker *)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static uiCmdDriverMgr & | getMgr (bool fullodmode=false)
static uiString | usrDispNm ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
void | afterSurveyChg (CallBacker *)
void | autoStart ()
void | beforeSurveyChg (CallBacker *)
void | commandLineParsing ()
void | delayedStartCB (CallBacker *)
void | executeFinishedCB (CallBacker *)
uiCmdDriverDlg * | getCmdDlg ()
void | handleSettingsAutoExec ()
void | initCmdLog (const char *cmdlognm)
void | keyPressedCB (CallBacker *)
void | runScriptCB (CallBacker *)
void | stopRecordingCB (CallBacker *)
void | timerCB (CallBacker *)

## Protected Attributes
uiMainWin & | applwin_
uiCmdDriverDlg * | cmddlg_ = nullptr
bool | cmdlineparsing_
BufferStringSet | cmdlinescripts_
BufferString | cmdlogname_
BufferString | defaultlogdir_
BufferString | defaultscriptsdir_
CmdDriver * | drv_
CmdRecorder * | historec_ = nullptr
CmdRecorder * | rec_
int | scriptidx_
uiScriptRunnerDlg * | scriptrunnerdlg_ = nullptr
bool | settingsautoexec_
bool | surveyautoexec_
Timer * | tim_

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ uiCmdDriverMgr()

CmdDrive::uiCmdDriverMgr::uiCmdDriverMgr | ( | bool | fullodmode = false | ) |

## ◆ ~uiCmdDriverMgr()

CmdDrive::uiCmdDriverMgr::~uiCmdDriverMgr | ( |  | ) |

## Member Function Documentation

## ◆ addCmdLineScript()

void CmdDrive::uiCmdDriverMgr::addCmdLineScript | ( | const char * | fnm | ) |

## ◆ afterSurveyChg()

void CmdDrive::uiCmdDriverMgr::afterSurveyChg | ( | CallBacker * |  | ) |
| protected

## ◆ autoStart()

void CmdDrive::uiCmdDriverMgr::autoStart | ( |  | ) |
| protected

## ◆ beforeSurveyChg()

void CmdDrive::uiCmdDriverMgr::beforeSurveyChg | ( | CallBacker * |  | ) |
| protected

## ◆ cleanup()

void CmdDrive::uiCmdDriverMgr::cleanup | ( |  | ) |

## ◆ commandLineParsing()

void CmdDrive::uiCmdDriverMgr::commandLineParsing | ( |  | ) |
| protected

## ◆ delayedStartCB()

void CmdDrive::uiCmdDriverMgr::delayedStartCB | ( | CallBacker * |  | ) |
| protected

## ◆ enableCmdLineParsing()

void CmdDrive::uiCmdDriverMgr::enableCmdLineParsing | ( | bool | yn = true | ) |

## ◆ executeFinishedCB()

void CmdDrive::uiCmdDriverMgr::executeFinishedCB | ( | CallBacker * |  | ) |
| protected

## ◆ getCmdDlg()

uiCmdDriverDlg * CmdDrive::uiCmdDriverMgr::getCmdDlg | ( |  | ) |
| protected

## ◆ getMgr()

static uiCmdDriverMgr & CmdDrive::uiCmdDriverMgr::getMgr | ( | bool | fullodmode = false | ) |
| static

## ◆ handleSettingsAutoExec()

void CmdDrive::uiCmdDriverMgr::handleSettingsAutoExec | ( |  | ) |
| protected

## ◆ initCmdLog()

void CmdDrive::uiCmdDriverMgr::initCmdLog | ( | const char * | cmdlognm | ) |
| protected

## ◆ keyPressedCB()

void CmdDrive::uiCmdDriverMgr::keyPressedCB | ( | CallBacker * |  | ) |
| protected

## ◆ runScriptCB()

void CmdDrive::uiCmdDriverMgr::runScriptCB | ( | CallBacker * |  | ) |
| protected

## ◆ setDefaultLogDir()

void CmdDrive::uiCmdDriverMgr::setDefaultLogDir | ( | const char * | dirnm | ) |

## ◆ setDefaultScriptsDir()

void CmdDrive::uiCmdDriverMgr::setDefaultScriptsDir | ( | const char * | dirnm | ) |

## ◆ setLogFileName()

void CmdDrive::uiCmdDriverMgr::setLogFileName | ( | const char * | fnm | ) |

## ◆ showDlgCB()

void CmdDrive::uiCmdDriverMgr::showDlgCB | ( | CallBacker * |  | ) |

## ◆ showScriptRunnerCB()

void CmdDrive::uiCmdDriverMgr::showScriptRunnerCB | ( | CallBacker * |  | ) |

## ◆ stopRecordingCB()

void CmdDrive::uiCmdDriverMgr::stopRecordingCB | ( | CallBacker * |  | ) |
| protected

## ◆ timerCB()

void CmdDrive::uiCmdDriverMgr::timerCB | ( | CallBacker * |  | ) |
| protected

## ◆ usrDispNm()

static uiString CmdDrive::uiCmdDriverMgr::usrDispNm | ( |  | ) |
| inline static

## Member Data Documentation

## ◆ applwin_

uiMainWin& CmdDrive::uiCmdDriverMgr::applwin_
| protected

## ◆ cmddlg_

uiCmdDriverDlg* CmdDrive::uiCmdDriverMgr::cmddlg_ = nullptr
| protected

## ◆ cmdlineparsing_

bool CmdDrive::uiCmdDriverMgr::cmdlineparsing_
| protected

## ◆ cmdlinescripts_

BufferStringSet CmdDrive::uiCmdDriverMgr::cmdlinescripts_
| protected

## ◆ cmdlogname_

BufferString CmdDrive::uiCmdDriverMgr::cmdlogname_
| protected

## ◆ defaultlogdir_

BufferString CmdDrive::uiCmdDriverMgr::defaultlogdir_
| protected

## ◆ defaultscriptsdir_

BufferString CmdDrive::uiCmdDriverMgr::defaultscriptsdir_
| protected

## ◆ drv_

CmdDriver* CmdDrive::uiCmdDriverMgr::drv_
| protected

## ◆ historec_

CmdRecorder* CmdDrive::uiCmdDriverMgr::historec_ = nullptr
| protected

## ◆ rec_

CmdRecorder* CmdDrive::uiCmdDriverMgr::rec_
| protected

## ◆ scriptidx_

int CmdDrive::uiCmdDriverMgr::scriptidx_
| protected

## ◆ scriptrunnerdlg_

uiScriptRunnerDlg* CmdDrive::uiCmdDriverMgr::scriptrunnerdlg_ = nullptr
| protected

## ◆ settingsautoexec_

bool CmdDrive::uiCmdDriverMgr::settingsautoexec_
| protected

## ◆ surveyautoexec_

bool CmdDrive::uiCmdDriverMgr::surveyautoexec_
| protected

## ◆ tim_

Timer* CmdDrive::uiCmdDriverMgr::tim_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025